<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: report-execute.php 3921 2005-12-06 15:48:56Z roh@m3.net $
*/

// Require the initialisation file
require_once '../../init.php';

// Include required files
require_once MAX_PATH . '/lib/max/Plugins/Plugins.php';
require_once MAX_PATH . '/lib/max/language/Report.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';

// Load the required language files
Language_Report::load();

// Register input variables
phpAds_registerGlobal('plugin');

if (isset($plugin) && $plugin != '') {
    $pluginKey = explode(':', $plugin);
    $pluginReport = Max_Plugins::factory('reports', $pluginKey[0], $pluginKey[1]);
    
    if ($pluginReport) {
        $plugininfo = $pluginReport->info();
        
        // Check security
        phpAds_checkAccess($plugininfo["plugin-authorize"]);
        
        $plugin_import    = $plugininfo["plugin-import"];
        $plugin_variables = array();
        
        foreach (array_keys($plugin_import) as $key) {
            // Register needed plugin variables
            phpAds_registerGlobal($key);
            
            if (isset($$key) && $$key != '') {
                $plugin_variables[] = "'".addslashes($$key)."'";
            } else {
                $plugin_variables[] = "''";
            }
        }
        $executestring = "\$pluginReport->execute(".implode(",", $plugin_variables).");";
        eval($executestring);
    }
}

?>
